import request from '@/utils/request'

// 查询停车场物业系统数据对接列表
export function listParking(data) {
  return request({
    url: '/tBaseParking/list',
    method: 'post',
    data: data
  })
}

// 查询停车场物业系统数据对接详细
export function getParking(parkingId) {
  return request({
    url: '/tBaseParking/' + parkingId,
    method: 'get'
  })
}

// 新增停车场物业系统数据对接
export function addParking(data) {
  return request({
    url: '/tBaseParking',
    method: 'post',
    data: data
  })
}

// 修改停车场物业系统数据对接
export function updateParking(data) {
  return request({
    url: '/tBaseParking',
    method: 'put',
    data: data
  })
}

// 删除停车场物业系统数据对接
export function delParking(parkingId) {
  return request({
    url: '/tBaseParking/' + parkingId,
    method: 'delete'
  })
}

// 导出停车场物业系统数据对接
export function exportParking(query) {
  return request({
    url: '/tBaseParking/export',
    method: 'get',
    params: query
  })
}
